Node('ma7.stick.sea.psi.ch',
     'MA7 standard sample stick',
)

Mod('sea_stick',
    'frappy_psi.sea.SeaClient',
    'SEA stick connection',
    config='ma7.stick',
    service='stick',
)

Mod('tsam',
    'frappy_psi.sea.SeaReadable',
    'sample stick temperature',
    io='sea_stick',
    json_file='ma7.config.json',
    sea_object='tt',
    rel_paths=['ts', 'setsamp']
)

Mod('ts',
    'frappy_psi.parmod.Converging',
    'drivable stick T using setsamp',
    unit='K',
    read='tsam.value',
    write='tsam.setsamp',
    meaning=['temperature', 20],
    settling_time=20,
    tolerance=1,
)
